org.apache.tinkerpop.gremlin.structure.util.detached

## Class DetachedFactory

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.detached.DetachedFactory

-     public class DetachedFactory
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DetachedEdge` | `detach(Edge edge, boolean withProperties)`
    `static DetachedElement` | `detach(Element element, boolean withProperties)`
    `static <D> D` | `detach(Object object, boolean withProperties)`
    `static DetachedPath` | `detach(Path path, boolean withProperties)`
    `static <V> DetachedProperty<V>` | `detach(Property<V> property)`
    `static DetachedVertex` | `detach(Vertex vertex, boolean withProperties)`
    `static <V> DetachedVertexProperty` | `detach(VertexProperty<V> vertexProperty, boolean withProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### detach

          public static DetachedVertex detach(Vertex vertex,
                                              boolean withProperties)

    - #### detach

          public static DetachedEdge detach(Edge edge,
                                            boolean withProperties)

    - #### detach

          public static <V> DetachedVertexProperty detach(VertexProperty<V> vertexProperty,
                                                          boolean withProperties)

    - #### detach

          public static <V> DetachedProperty<V> detach(Property<V> property)

    - #### detach

          public static DetachedPath detach(Path path,
                                            boolean withProperties)

    - #### detach

          public static DetachedElement detach(Element element,
                                               boolean withProperties)

    - #### detach

          public static <D> D detach(Object object,
                                     boolean withProperties)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.